
Our Journey in Pictures
Explore moments of inspiration, connection, and transformation from our past events.
RFC 2026 March Edition: Discover. Develop. Dominate.
A landmark edition bringing together leaders, speakers, and purpose-driven young Africans for two days of transformation in Lomé, Togo — March 2026.

























































RFC 2025: A Record-Breaking Event
150 young leaders of different nationalities came together for our most impactful conference yet.



































RFC 2023: Building Foundations
A pivotal year where we expanded our reach and deepened our impact across West Africa.
RFC 2018: Gaining Momentum
The movement gained momentum, attracting passionate young leaders and expanding its reach across borders.




















RFC 2017: Finding Our Voice
Building on our foundation, the conversation grew louder with monthly talk shows and community events.
























































RFC 2016: The Beginning
The very beginning - a humble gathering of 50 young people that sparked a continental movement.

















Be Part of Our Next Chapter
Join us at RFC 2026 and become part of the story. Your transformation journey starts here.